Skip to navigation

Rotate API Client Secret

Replaces the client secret for the specified API client credentials.

This method can be used to rotate a secret for the API credentials specified in the request body. To replace the client secret for the access key passed in the Authorization header, you can also use Rotate Current API Client Secret.

Once replaced, the old client secret can’t be used to authenticate or obtain new tokens. However, access tokens that were issued before the rotation remain valid until they expire. This means there is an effective grace period of up to 12 hours where previously issued access tokens continue to work, even though the client secret used to obtain them has been rotated.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

clientIdstringRequired
API client ID.

Response

Client secret rotated.
clientIdstring
API client ID.
clientSecretstring
API client secret.

Errors

404
Not Found Error